
ISTI Open Access - Task #25584

Task # 25582 (New): Migrate OpenPortal stack on the openstack infrastructure

Migrate OpenPortal front end to the openstack infrastructure

Sep 06, 2023 11:13 AM - Leonardo Candela

Status: New Start date: Sep 06, 2023

Priority: Normal Due date:  

Assignee: Michele Artini % Done: 0%

Target version: To Be Planned   

Description

This activity should be performed as follows:

we have to create a clone of the current Joomla instance in the new infrastructure;

we will use the Joomla migration procedure to move to Joomla 4;

The resulting front end instance will be a development instance and will interact with the current back-end on the "old infrastructure"

(namely Mongo and Solr instances). As a consequence, we should enable the new instance to interact with the existing instances of

Mongo and Solr).  

Related issues:

Related to ISTI Open Access - Support #23929: Consider upgrading to PHP 8 New Sep 29, 2022

History

#1 - Sep 06, 2023 11:25 AM - Leonardo Candela

- Tracker changed from Support to Task

- Target version set to ISTI Open Portal Tasks

#2 - Sep 06, 2023 11:36 AM - Leonardo Candela

- Related to Support #23929: Consider upgrading to PHP 8 added

#3 - Mar 25, 2025 11:44 AM - Luca Frosini

- Target version changed from ISTI Open Portal Tasks to To Be Planned
